<h1>Consommation CPU sur le cluster</h1>

<%= javascript_include_tag 'CPUGraph' %>
<%= javascript_include_tag 'ProtoChart' %>
<%= javascript_include_tag 'RingBuffer' %>
<%= javascript_include_tag 'LoadingDiv' %>

<div id="loading" class="dynamic-graph">Loading ...</div>
<div id="cpugraph" class="dynamic-graph"></div>

<% javascript_tag do -%>
	var loader = new LoadingDiv("loader", "loading", "cpugraph", 2);
	var cpugraph = new CPUGraph('cpugraph', 60);
<% end -%>

<%= periodically_call_remote( 
	:url => {:controller => 'status', :action => 'ajax_update_cpuGraph'},
	:method => :get,
	:frequency => 2,
	:with => "'graph=cpugraph'")
%>
